INCLUDEPATH += $$quote(C:/qbt/base/include)

LIBS += $$quote(-LC:/qbt/base/lib)
LIBS += torrent-rasterbar.lib
LIBS += libcrypto.lib libssl.lib
LIBS += zdll.lib

# Disable to use Boost auto-linking
DEFINES += BOOST_ALL_NO_LIB
# Use one of the following options
DEFINES += BOOST_SYSTEM_STATIC_LINK
#DEFINES += BOOST_SYSTEM_DYN_LINK
# Enable if encountered build error with boost version <= 1.59
#DEFINES += BOOST_NO_CXX11_RVALUE_REFERENCES

# Enable if libtorrent was built with this flag defined
DEFINES += TORRENT_NO_DEPRECATE
# Enable if linking dynamically against libtorrent
DEFINES += TORRENT_LINKING_SHARED

# Enable this if compiling with libtorrent 2.x
DEFINES += QBT_USES_LIBTORRENT2

# Enable stack trace support
CONFIG += stacktrace

win32-msvc* {
    QMAKE_CXXFLAGS += "/guard:cf /WX"
    QMAKE_LFLAGS += "/guard:cf /WX"
}
